Subject: Re: [dnsext] Re: Problem statement additions

From: "Jeffrey A. Williams" <[email-masked]>
Date: Fri, 20 Aug 2010 16:33:04 -0500 (GMT-05:00)

Paul, John, and all,

-----Original Message-----
>From: Paul Hoffman <[email-masked]>
>Sent: Aug 20, 2010 1:46 PM
>To: Andrew Sullivan <[email-masked]>, [email-masked]
>Subject: [dnsext] Re: Problem statement additions
>
>At 2:21 PM -0400 8/20/10, Andrew Sullivan wrote:
>>On Fri, Aug 20, 2010 at 10:22:22AM -0700, Paul Hoffman wrote:
>>>
>>> Assuming that we are still talking about
>>> draft-yao-dnsext-identical-resolution, which is at -01, I am unsure
>>> what you are asking for. The document is a list of use cases
>>
>>Yes, I was.
>>
>>> (section 2) and proposals (section 3). The document itself seems to
>>> describe the problems that DNS users have well. Are you asking for a
>>> list of problems that zone owners would have? If so, are they the
>>> apex owners, the subdomain owners, or ...?
>>
>>Well, presumably the problems of zone owners are in some other sense a
>>problem for DNS users, no?  But yeah, I think we probably need to
>>address issues for zone owners.  And while it's apex owners, it's
>>_every_ apex owner, I'd like to think.
>
>Yes, it is every apex owner. The case of <some-idn>.com is just as interesting as <some-idn>.<some-other-idn>.
>
>I'll +1 John's proposals:
>
>At 5:41 PM +0000 8/20/10, John Levine wrote:
>>Small version) Automate as much of the process of making two domains
>> "the same" in the DNS as we can, while not getting in the way of the
>> scripts or manual process people use to do the rest of the work.
>>
>>Large version) Small version plus sufficient hooks in the DNS that an
>>  application can auto-configure itself to handle the aliases and
>>  whatever involved in making names in other zones "the same" as a
>>  name it's already been set up to handle.
>
>I am skeptical about whether the "large version" is even possible, but there are a lot of clever people and highly motivated DNS operators on this list.

  I prefer the large version but also understand Pauls thoughtful
concerns.  My additional concern with John's large version is the
greater possibility of unintended consequences, which will be many.
Most should be able to be addressed.  John's small version has
the nicity of being simple and stay's out of the way of other
scripts doing other work of various sorts, but may make some of those
functions/scripts unable to be authenticated appropriately.  Such
may not be a serious issue though.
>--Paul Hoffman, Director
>--VPN Consortium

Regards,
Jeffrey A. Williams
Spokesman for INEGroup LLA. - (Over 300k members/stakeholders and growing, strong!)
"Obedience of the law is the greatest freedom" -
   Abraham Lincoln

"Credit should go with the performance of duty and not with what is very
often the accident of glory" - Theodore Roosevelt

"If the probability be called P; the injury, L; and the burden, B; liability
depends upon whether B is less than L multiplied by
P: i.e., whether B is less than PL."
United States v. Carroll Towing  (159 F.2d 169 [2d Cir. 1947]
===============================================================
Updated 1/26/04
CSO/DIR. Internet Network Eng. SR. Eng. Network data security IDNS. div. of
Information Network Eng.  INEG. INC.
ABA member in good standing member ID 01257402 E-Mail [email-masked]
Phone: 214-244-4827